package pintores;

import java.awt.Graphics;
import java.util.Random;

public class Circle implements DrawableObject {
	private static final long serialVersionUID = 1L;
	private int x, y;
	private int r;
	
	public Circle() {
		Random rand = new Random();
		this.x = rand.nextInt(400);
		this.y = rand.nextInt(400);
		this.r = rand.nextInt(40);
	}
	
	@Override
	public void draw(Graphics g) {
		g.drawOval(x, y, r, r);
	}

	@Override
	public String getName() {
		return "circle";
	}

}
