package pintores;

import java.awt.Graphics;
import java.util.Random;

public class Line implements DrawableObject {
	private static final long serialVersionUID = 5937999877644721896L;
	private int x1, x2, y1, y2;
	public Line(int x1, int y1, int x2, int y2) {
		this.x1 = x1;
		this.y1 = y1;
		this.x2 = x2;
		this.y2 = y2;
	}
	
	public Line() {
		Random rand = new Random();
		this.x1 = rand.nextInt(400);
		this.y1 = rand.nextInt(400);
		this.x2 = rand.nextInt(400);
		this.y2 = rand.nextInt(400);
	}
	
	@Override
	public void draw(Graphics g) {
		g.drawLine(x1, y1, x2, y2);

	}

	@Override
	public String getName() {
		return "line";
	}

}
