package pintores;

import java.awt.*;
import java.util.*;
import java.awt.Graphics;
import java.awt.event.*;

public class Pantalla extends Frame {	
	public java.util.List<DrawableObject> objects;
	public Pantalla() {
		setSize(400, 400);
		objects = new ArrayList<DrawableObject>();

		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
	}

	@Override
	public void paint(Graphics g) {
		for (DrawableObject object : objects) {
			object.draw(g);
		}
	}
}
