package pintores;

import java.awt.Graphics;
import java.util.Random;

public class Rectangle implements DrawableObject {
	private static final long serialVersionUID = -7845050117933423690L;
	private int x, y, width, height;
	
	public Rectangle() {
		Random rand = new Random();
		width = rand.nextInt(40);
		height = rand.nextInt(40);
		x = rand.nextInt(400-width);
		y = rand.nextInt(400-height);
	}
	
	public Rectangle(int x, int y, int width, int height) {
		this.x=x;
		this.y=y;
		this.width= width;
		this.height=height;
	}
	
	@Override
	public void draw(Graphics g) {
		g.drawRect(x, y, width, height);
	}

	@Override
	public String getName() {
		return "rectangle";
	}

}
